Bug 223250 - Can't mount RAID in kernel.2.6.18-1.2869.fc6
Can't mount RAID in kernel.2.6.18-1.2869.fc6
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks: 427887
  Show dependency treegraph
 
Reported: 2007-01-18 12:29 EST by Dmitry Y. Labutin
Modified: 2008-02-07 23:25 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-07 23:25:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dmitry Y. Labutin 2007-01-18 12:29:05 EST
Description of problem:
After installing kernel.2.6.18-1.2869.fc6 I can't mount RAID array.


Version-Release number of selected component (if applicable):
kernel.2.6.18-1.2869.fc6

I think, here main problem:
device-mapper: ioctl: 4.7.0-ioctl (2006-06-24) initialised: dm-devel@redhat.com 
device-mapper: table: device /dev/mapper/pdc_bdeigaaigj too small for target 
device-mapper: table: 253:3: linear: dm-linear: Device lookup failed 
device-mapper: ioctl: error adding target to table 

Jan 12 11:38:01 gw-312 kernel: md: md driver 0.90.3 MAX_MD_DEVS=256, 
MD_SB_DISKS=27 
Jan 12 11:38:01 gw-312 kernel: md: bitmap version 4.39 
Jan 12 11:38:02 gw-312 kernel: md: Autodetecting RAID arrays. 
Jan 12 11:38:02 gw-312 kernel: md: could not open unknown-block(8,1). 
Jan 12 11:38:02 gw-312 kernel: md: could not open unknown-block(8,17). 
Jan 12 11:38:02 gw-312 kernel: md: autorun ... 
Jan 12 11:38:02 gw-312 kernel: md: ... autorun DONE. 



[root@gw-312 /]# mdadm --create /dev/md0 --level=1 --raid-devices=2 /dev/sd[ab]
1 
mdadm: Cannot open /dev/sda1: No such device or address 
mdadm: Cannot open /dev/sdb1: No such device or address 
mdadm: create aborted 

root@gw-312 /]# fdisk -l 
Disk /dev/sda: 80.0 GB, 80026361856 bytes 
255 heads, 63 sectors/track, 9729 cylinders 
Units = cylinders of 16065 * 512 = 8225280 bytes 

Device Boot Start End Blocks Id System 
/dev/sda1 1 9729 78148161 fd  Linux raid autodetect

Disk /dev/sdb: 80.0 GB, 80026361856 bytes 
255 heads, 63 sectors/track, 9729 cylinders 
Units = cylinders of 16065 * 512 = 8225280 bytes 

Device Boot Start End Blocks Id System 
/dev/sdb1 1 9729 78148161 fd  Linux raid autodetect

[root@gw-312 /]# ls -la /dev | grep sda 
brw-r----- 1 root disk 8, 0 Янв 12 10:36 sda 
brwx------ 1 root root 8, 1 Янв 12 10:36 sda1

Trying to mount partition:  
[root@gw-312 mnt]# mount /dev/sda1 1 
mount: /dev/sda1 is not a valid block device


/var/log/messages

Jan 12 09:44:57 gw-312 kernel: SCSI device sda: 156301488 512-byte hdwr sectors 
(80026 MB) 
Jan 12 09:44:57 gw-312 kernel: sda: Write Protect is off 
Jan 12 09:44:57 gw-312 kernel: SCSI device sda: drive cache: write back 
Jan 12 09:44:57 gw-312 kernel: SCSI device sda: 156301488 512-byte hdwr sectors 
(80026 MB) 
Jan 12 09:44:57 gw-312 kernel: sda: Write Protect is off 
Jan 12 09:44:57 gw-312 kernel: SCSI device sda: drive cache: write back 
Jan 12 09:44:57 gw-312 kernel: sda: sda1 
Jan 12 09:44:57 gw-312 kernel: sd 0:0:0:0: Attached scsi disk sda 
Jan 12 09:44:57 gw-312 kernel: SCSI device sdb: 156301488 512-byte hdwr sectors 
(80026 MB) 
Jan 12 09:44:57 gw-312 kernel: sdb: Write Protect is off 
Jan 12 09:44:57 gw-312 kernel: SCSI device sdb: drive cache: write back 
Jan 12 09:44:57 gw-312 kernel: SCSI device sdb: 156301488 512-byte hdwr sectors 
(80026 MB) 
Jan 12 09:44:57 gw-312 kernel: sdb: Write Protect is off 
Jan 12 09:44:57 gw-312 kernel: SCSI device sdb: drive cache: write back 
Jan 12 09:44:57 gw-312 kernel: sdb: sdb1 
Jan 12 09:44:57 gw-312 kernel: sd 1:0:0:0: Attached scsi disk sdb

Actual results:


Expected results:


Additional info:
With kernel.2.6.18-1.2798 all works fine!
Comment 1 Dmitry Y. Labutin 2007-01-19 16:20:31 EST
You can close this issue.
Bug fixed in 2.6.19-1.2895.fc6
Comment 2 Jon Stanley 2008-01-07 20:52:38 EST
(This is a mass-update to all current FC6 kernel bugs in NEW state)

Hello,

I'm reviewing this bug list as part of the kernel bug triage project, an attempt
to isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug, however this version of Fedora is no longer
maintained.

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!
Comment 3 Jon Stanley 2008-02-07 23:25:25 EST
Per the previous comment in this bug, I am closing it as INSUFFICIENT_DATA,
since no information has been lodged for over 30 days.

Please re-open this bug or file a new one if you can provide the requested data,
and thanks for filing the original report!

Note You need to log in before you can comment on or make changes to this bug.